
    create table "book" (
        id int8 not null,
        "book_id" int4 not null,
        "book_title" text,
        "publisher" text,
        "isbn" text,
        "on_hand_qty" int4,
        "cost" numeric(50,2),
        "pub_date" date,
        "author_id" int4,
        "sold_qty" int4,
        "price" numeric(50,2),
        primary key (id)
    );

    create table "cust" (
        id int8 not null,
        "p2j" numeric(50,2),
        primary key (id)
    );

    create table "customer" (
        id int8 not null,
        "name" text,
        "address" text,
        "balance" int4,
        "unique2" int4,
        "customer" int4,
        "description" date,
        "uniq" bool,
        primary key (id)
    );

    create table "new_person__5" (
        parent__id int8 not null,
        "schedule" text,
        "hours" int4,
        list__index int4 not null,
        primary key (parent__id, list__index)
    );

    create table "new_person" (
        id int8 not null,
        "new_schedule_column" int4 not null,
        "emp_num" int4 not null,
        "first_name" text,
        "last_name" text,
        "new_middle_init" text,
        "ssn" text not null,
        "pay_type" text,
        "hire_date" date,
        "term_date" date,
        "term_notice" timestamp,
        "term_notice_ext_timestamp" timestamp,
        "term_notice_ext_offset" int4,
        "comments" text,
        "area_code" text,
        "phone_number" text,
        "extension" text,
        primary key (id)
    );

    create table "p2j_test" (
        id int8 not null,
        "customer" text,
        "description" text,
        "unique1" int4,
        "p2j" date,
        primary key (id)
    );

    create table "pers_addr" (
        id int8 not null,
        "site_id" int4 not null,
        "emp_num" int4 not null,
        "addr_id" int4 not null,
        "link_type" text,
        "active" bool,
        primary key (id)
    );

    create table "simple_test" (
        id int8 not null,
        "number" int4 not null,
        "description" text,
        primary key (id)
    );

    create table "vehicle_driver" (
        id int8 not null,
        "name" text not null,
        "age" int4,
        "vin_number" text not null,
        primary key (id)
    );

    create table "vehicle_owner" (
        id int8 not null,
        "name" text not null,
        "vin_number" text not null,
        "price" numeric(50,2),
        primary key (id)
    );

    create table address (
        id int8 not null,
        addr_id int4 not null,
        street text,
        city text,
        "state" text,
        zip_code text,
        addr_type text,
        primary key (id)
    );

    create table cs_test_new (
        id int8 not null,
        test text,
        pos int4,
        primary key (id)
    );

    create table vehicle_test (
        id int8 not null,
        make text not null,
        model text not null,
        axles int4,
        ext_color text,
        "vin_number_test" text not null,
        primary key (id)
    );

    create table vehicle_test__10 (
        parent__id int8 not null,
        options text,
        list__index int4 not null,
        primary key (parent__id, list__index)
    );

    create index "new_person__5_fkey" on "new_person__5" (parent__id);

    alter table "new_person__5" 
        add constraint FK95CDB50185DD881 
        foreign key (parent__id) 
        references "new_person";

    create index vehicle_test__10_fkey on vehicle_test__10 (parent__id);

    alter table vehicle_test__10 
        add constraint FKEEDC3944C025B1C3 
        foreign key (parent__id) 
        references vehicle_test;
drop sequence if exists my_seq_1;
create sequence my_seq_1 increment 3 minvalue 10 maxvalue 9223372036854775807 start 10 cache 1;
drop sequence if exists my_seq_2;
create sequence my_seq_2 increment -1 minvalue -3 maxvalue 0 start 0 cache 1;
drop sequence if exists my_seq_3;
create sequence my_seq_3 increment 10 minvalue 0 maxvalue 10 start 0 cycle cache 1;
drop sequence if exists my_seq_4;
create sequence my_seq_4 increment 1 minvalue 0 maxvalue 9223372036854775807 start 0 cache 1;
