package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.address</code>
 * (previously <code>p2j_test.address</code>).
 */
public interface Address
extends DataModelObject
{
   /**
    * Getter: Addr ID
    * 
    * @return  Addr ID
    */
   public integer getAddrId();

   /**
    * Setter: Addr ID
    * 
    * @param   addrId
    *          Addr ID
    */
   public void setAddrId(NumberType addrId);

   /**
    * Getter: Street
    * 
    * @return  Street
    */
   public character getStreet();

   /**
    * Setter: Street
    * 
    * @param   street
    *          Street
    */
   public void setStreet(Text street);

   /**
    * Getter: City
    * 
    * @return  City
    */
   public character getCity();

   /**
    * Setter: City
    * 
    * @param   city
    *          City
    */
   public void setCity(Text city);

   /**
    * Getter: State
    * 
    * @return  State
    */
   public character getState();

   /**
    * Setter: State
    * 
    * @param   state
    *          State
    */
   public void setState(Text state);

   /**
    * Getter: Zip Code
    * 
    * @return  Zip Code
    */
   public character getZipCode();

   /**
    * Setter: Zip Code
    * 
    * @param   zipCode
    *          Zip Code
    */
   public void setZipCode(Text zipCode);

   /**
    * Getter: Addr Type
    * 
    * @return  Addr Type
    */
   public character getAddrType();

   /**
    * Setter: Addr Type
    * 
    * @param   addrType
    *          Addr Type
    */
   public void setAddrType(Text addrType);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends Address, Buffer
   {
   }
}
