package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.`book`</code>
 * (previously <code>p2j_test.book</code>).
 */
public interface Book
extends DataModelObject
{
   /**
    * Getter: Book ID
    * 
    * @return  Book ID
    */
   public integer getBookId();

   /**
    * Setter: Book ID
    * 
    * @param   bookId
    *          Book ID
    */
   public void setBookId(NumberType bookId);

   /**
    * Getter: Title
    * 
    * @return  Title
    */
   public character getBookTitle();

   /**
    * Setter: Title
    * 
    * @param   bookTitle
    *          Title
    */
   public void setBookTitle(Text bookTitle);

   /**
    * Getter: Publisher
    * 
    * @return  Publisher
    */
   public character getPublisher();

   /**
    * Setter: Publisher
    * 
    * @param   publisher
    *          Publisher
    */
   public void setPublisher(Text publisher);

   /**
    * Getter: ISBN
    * 
    * @return  ISBN
    */
   public character getIsbn();

   /**
    * Setter: ISBN
    * 
    * @param   isbn
    *          ISBN
    */
   public void setIsbn(Text isbn);

   /**
    * Getter: On Hand
    * 
    * @return  On Hand
    */
   public integer getOnHandQty();

   /**
    * Setter: On Hand
    * 
    * @param   onHandQty
    *          On Hand
    */
   public void setOnHandQty(NumberType onHandQty);

   /**
    * Getter: Cost
    * 
    * @return  Cost
    */
   public decimal getCost();

   /**
    * Setter: Cost
    * 
    * @param   cost
    *          Cost
    */
   public void setCost(NumberType cost);

   /**
    * Getter: Pub Date
    * 
    * @return  Pub Date
    */
   public date getPubDate();

   /**
    * Setter: Pub Date
    * 
    * @param   pubDate
    *          Pub Date
    */
   public void setPubDate(date pubDate);

   /**
    * Getter: Author ID
    * 
    * @return  Author ID
    */
   public integer getAuthorId();

   /**
    * Setter: Author ID
    * 
    * @param   authorId
    *          Author ID
    */
   public void setAuthorId(NumberType authorId);

   /**
    * Getter: Sold
    * 
    * @return  Sold
    */
   public integer getSoldQty();

   /**
    * Setter: Sold
    * 
    * @param   soldQty
    *          Sold
    */
   public void setSoldQty(NumberType soldQty);

   /**
    * Getter: Price
    * 
    * @return  Price
    */
   public decimal getPrice();

   /**
    * Setter: Price
    * 
    * @param   price
    *          Price
    */
   public void setPrice(NumberType price);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends Book, Buffer
   {
   }
}
