package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table
 * <code>p2j_test.`pers_addr`</code> (previously
 * <code>p2j_test.pers-addr</code>).
 */
public interface PersAddr
extends DataModelObject
{
   /**
    * Getter: Site ID
    * 
    * @return  Site ID
    */
   public integer getSiteId();

   /**
    * Setter: Site ID
    * 
    * @param   siteId
    *          Site ID
    */
   public void setSiteId(NumberType siteId);

   /**
    * Getter: Emp Num
    * 
    * @return  Emp Num
    */
   public integer getEmpNum();

   /**
    * Setter: Emp Num
    * 
    * @param   empNum
    *          Emp Num
    */
   public void setEmpNum(NumberType empNum);

   /**
    * Getter: Addr ID
    * 
    * @return  Addr ID
    */
   public integer getAddrId();

   /**
    * Setter: Addr ID
    * 
    * @param   addrId
    *          Addr ID
    */
   public void setAddrId(NumberType addrId);

   /**
    * Getter: Link Type
    * 
    * @return  Link Type
    */
   public character getLinkType();

   /**
    * Setter: Link Type
    * 
    * @param   linkType
    *          Link Type
    */
   public void setLinkType(Text linkType);

   /**
    * Getter: Active
    * 
    * @return  Active
    */
   public logical isActive();

   /**
    * Setter: Active
    * 
    * @param   active
    *          Active
    */
   public void setActive(logical active);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends PersAddr, Buffer
   {
   }
}
