package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table
 * <code>p2j_test.`vehicle_driver`</code> (previously
 * <code>p2j_test.vehicle-driver</code>).
 */
public interface VehicleDriver
extends DataModelObject
{
   /**
    * Getter: Driver name
    * 
    * @return  Name
    */
   public character getName();

   /**
    * Setter: Driver name
    * 
    * @param   name
    *          Name
    */
   public void setName(Text name);

   /**
    * Getter: Driver age
    * 
    * @return  Age
    */
   public integer getAge();

   /**
    * Setter: Driver age
    * 
    * @param   age
    *          Age
    */
   public void setAge(NumberType age);

   /**
    * Getter: Vehicle Identification Number
    * 
    * @return  VIN
    */
   public character getVinNumber();

   /**
    * Setter: Vehicle Identification Number
    * 
    * @param   vinNumber
    *          VIN
    */
   public void setVinNumber(Text vinNumber);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends VehicleDriver, Buffer
   {
   }
}
